DefaultBeanConfiguration (Grails 3.2.6)
Date: 2017-02-09

Package: org.grails.spring

## [Java] Class DefaultBeanConfiguration

- org.grails.spring.DefaultBeanConfiguration

- All Implemented Interfaces and Traits:
    BeanConfiguration

      public class DefaultBeanConfiguration
      extends groovy.lang.GroovyObjectSupport

  Default implementation of the BeanConfiguration interface . Credit must go to Solomon Duskis and the article: http://jroller.com/page/Solomon?entry=programmatic_configuration_in_spring

  Authors:
    Graeme
  Since:
    0.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultBeanConfiguration (java.lang.String name, java.lang.Class<?> clazz)`
    `DefaultBeanConfiguration (java.lang.String name, java.lang.Class<?> clazz, boolean prototype)`
    `DefaultBeanConfiguration (java.lang.String name)`
    `DefaultBeanConfiguration (java.lang.Class<?> clazz2)`
    `DefaultBeanConfiguration (java.lang.String name2, java.lang.Class<?> clazz2, java.util.Collection<?> args)`
    `DefaultBeanConfiguration (java.lang.String name2, boolean prototype)`
    `DefaultBeanConfiguration (java.lang.Class<?> clazz2, java.util.Collection<?> constructorArguments)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `BeanConfiguration` | `addProperty(java.lang.String propertyName, java.lang.Object propertyValue)`
    `protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `createBeanDefinition()`
    `org.springframework.beans.factory.support.AbstractBeanDefinition` | `getBeanDefinition()`
    `java.lang.String` | `getName()`
    `java.lang.Object` | `getProperty(java.lang.String property)`
    `java.lang.Object` | `getPropertyValue(java.lang.String propName)`
    `boolean` | `hasProperty(java.lang.String propName)`
    `boolean` | `isSingleton()`
    `BeanConfiguration` | `setAbstract(boolean isAbstract)`
    `BeanConfiguration` | `setAutowire(java.lang.String type)`
    `void` | `setBeanDefinition(org.springframework.beans.factory.config.BeanDefinition definition)`
    `BeanConfiguration` | `setDependsOn(java.lang.String[] dependsOn)`
    `BeanConfiguration` | `setDestroyMethod(java.lang.String methodName)`
    `BeanConfiguration` | `setFactoryBean(java.lang.String beanName)`
    `BeanConfiguration` | `setFactoryMethod(java.lang.String methodName)`
    `void` | `setName(java.lang.String beanName)`
    `void` | `setParent(java.lang.Object obj)`
    `void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
    `void` | `setPropertyValue(java.lang.String property, java.lang.Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DefaultBeanConfiguration(java.lang.String name, java.lang.Class<?> clazz)

    - #### public DefaultBeanConfiguration(java.lang.String name, java.lang.Class<?> clazz, boolean prototype)

    - #### public DefaultBeanConfiguration(java.lang.String name)

    - #### public DefaultBeanConfiguration(java.lang.Class<?> clazz2)

    - #### public DefaultBeanConfiguration(java.lang.String name2, java.lang.Class<?> clazz2, java.util.Collection<?> args)

    - #### public DefaultBeanConfiguration(java.lang.String name2, boolean prototype)

    - #### public DefaultBeanConfiguration(java.lang.Class<?> clazz2, java.util.Collection<?> constructorArguments)

  - ### Method Detail

    - #### public BeanConfiguration addProperty(java.lang.String propertyName, java.lang.Object propertyValue)

    - #### protected org.springframework.beans.factory.support.AbstractBeanDefinition createBeanDefinition()

    - #### public org.springframework.beans.factory.support.AbstractBeanDefinition getBeanDefinition()

    - #### public java.lang.String getName()

    - #### @java.lang.Override public java.lang.Object getProperty(java.lang.String property)

    - #### public java.lang.Object getPropertyValue(java.lang.String propName)

    - #### public boolean hasProperty(java.lang.String propName)

    - #### public boolean isSingleton()

    - #### public BeanConfiguration setAbstract(boolean isAbstract)

    - #### public BeanConfiguration setAutowire(java.lang.String type)

    - #### public void setBeanDefinition(org.springframework.beans.factory.config.BeanDefinition definition)

    - #### public BeanConfiguration setDependsOn(java.lang.String[] dependsOn)

    - #### public BeanConfiguration setDestroyMethod(java.lang.String methodName)

    - #### public BeanConfiguration setFactoryBean(java.lang.String beanName)

    - #### public BeanConfiguration setFactoryMethod(java.lang.String methodName)

    - #### public void setName(java.lang.String beanName)

    - #### public void setParent(java.lang.Object obj)

    - #### @java.lang.Override public void setProperty(java.lang.String property, java.lang.Object newValue)

    - #### public void setPropertyValue(java.lang.String property, java.lang.Object newValue)